Loading...
Searching...
No Matches
Opm::WDFAC::Correlation Struct Reference

Parameters for Dake's D-factor correlation model. More...

`#include <WDFAC.hpp>`

## Public Member Functions

bool | operator== (const Correlation &other) const
| Equality operator.
bool | operator!= (const Correlation &other) const
| Inequality operator.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Serialisation operator.

## Static Public Member Functions

static Correlation | serializationTestObject ()
| Serialisation test object.

## Public Attributes

double | coeff_a {0.0}
| Multiplicative coefficient 'A'.
double | exponent_b {0.0}
| Power coefficient 'B' for the effective permeability.
double | exponent_c {0.0}
| Power coefficient 'C' for the porosity term.

## Detailed Description

Parameters for Dake's D-factor correlation model.

In particular, holds the coefficient 'A' and the exponents 'B' and 'C' of the correlation relation

D = A * (Ke/K0)**B * porosity**C * Ke / (h * rw) * (sg_g/mu_g)

in which

- Ke is the connection's effective permeability (sqrt(Kx*Ky) in the case of a vertical connection)
- K0 is a reference/background permeability scale (1mD)
- h is the effective length of the connection's perforation interval (dz*ntg in the case of a vertical connection)
- rw is the connection's wellbore radius
- sg_g is the specific gravity of surface condition gas relative to surface condition air
- mu_g is the reservoir condition viscosity of the free gas phase.

## Member Function Documentation

## operator!=()

bool Opm::WDFAC::Correlation::operator!= | ( | const Correlation & | other | ) | const

inline

Inequality operator.

Parameters

  [in] | other | Object to which `*this` will be compared.

## operator==()

bool Opm::WDFAC::Correlation::operator== | ( | const Correlation & | other | ) | const

Equality operator.

Parameters

  [in] | other | Object to which `*this` will be compared.

## serializeOp()

template<class Serializer>

void Opm::WDFAC::Correlation::serializeOp | ( | Serializer & | serializer | ) |

inline

Serialisation operator.

Template Parameters

  Serializer | Protocol for serialising and deserialising objects between memory and character buffers.

Parameters

  [in,out] | serializer | Serialisation object.

The documentation for this struct was generated from the following files:

- opm/input/eclipse/Schedule/Well/WDFAC.hpp
- opm/input/eclipse/Schedule/Well/WDFAC.cpp